<!DOCTYPE html>
<html>
<head>
    <title></title>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="style.css" type="text/css">
    <style>

        body, div, p tr, th, td, ul, li, table {
            font-family: serif !important;
            line-height: 1.5;
            max-width: 830px;
            font-size: 11.0pt;
        }

        body {
            margin-right: 20px;
        }

        img {
            max-width: 700px;
        }
    </style>
</head>
<body lang=EN-US style='tab-interval:.5in'>
<div>
    <h1 class="code-line" data-line-start=0 data-line-end=1><a id="Smartnet_Receiving_Report_0"></a>Smartnet
        Receiving Report</h1>
<h2 class="code-line" data-line-start=40 data-line-end=41><a id="Event_Logs_40"></a>Event Logs:</h2>
<ol>
    {% for log in event_logs %}
        <li>{{ log }}</li>
    {% endfor %}
</ol>
    <h3 class="code-line" data-line-start=16 data-line-end=17><a id="2_Purchase_order_update_16"></a>1.
        Purchase order update</h3>
    <p class="has-line-data" data-line-start="17" data-line-end="18">Result:
        {% if purchase_order_receiving_result %}
            Success
        {% else %}
            Failed
        {% endif %}
    </p>
{% if purchase_order_receiving_result.errors %}
    <p class="has-line-data" data-line-start="20" data-line-end="21"><strong>Errors:</strong></p>
    <table class="table table-striped table-bordered">
        <thead>
        <tr>
            <th>Product Number</th>
            <th>Error</th>
        </tr>
        </thead>
        <tbody>
        {% for product_number,errors in purchase_order_receiving_result.errors.items %}
            <tr>
                <td>{{ product_number }}</td>
                <td>{{ errors|join:", " }}</td>
            </tr>

        {% endfor %}


        </tbody>
    </table>
{% endif %}
    <h3 class="code-line" data-line-start=3 data-line-end=4><a id="1_Device_Import_3"></a>2. Device Import
    </h3>
    <p class="has-line-data" data-line-start="4" data-line-end="10">Result:
        {% if device_import_result.result %}
            Success
        {% else %}
            Failed
        {% endif %} <br>
        Serial Numbers: {{ device_import_result.meta_data.serial_numbers|join:", " }}<br>
        Created Device count: {{ device_import_result.meta_data.successfully_created_items_count }}<br>
        Updated Devices count: {{ device_import_result.meta_data.successfully_updated_items_count }}<br>
        Failed to created Devices count: {{ device_import_result.meta_data.failed_created_items_count }}<br>
        Failed to update Devices count: {{ device_import_result.meta_data.failed_updated_items_count }}</p>
    {% if device_import_result.errors %}
    <p class="has-line-data" data-line-start="11" data-line-end="12"><strong>Validation Errors:</strong></p>

    <table class="table table-striped table-bordered">
        <thead>
        <tr>
            <th>Row #</th>
            <th>Field</th>
            <th>Errors</th>
            <th>Warnings</th>
        </tr>
        </thead>
        <tbody>
        {% for error in device_import_result.errors %}
            <tr>
                <td>{{ error.error_index|add:"2" }}</td>
                <td>{{ error.Field }}</td>
                <td>{{ error.Error_Messages }}</td>
                <td>{{ error.Warnings }}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    {% endif %}
    <h3 class="code-line" data-line-start=25 data-line-end=26><a id="3_Service_Ticket_Update_25"></a>3.
        Service Ticket Update</h3>
    <p class="has-line-data" data-line-start="26" data-line-end="27">{% if ticket_update_result.result %}
        Success
    {% else %}
        Failed
    {% endif %} </p>
    <h3 class="code-line" data-line-start=28 data-line-end=29><a id="4_Email_Notification_28"></a>4. Email
        Notification</h3>
    <p class="has-line-data" data-line-start="29" data-line-end="31">Result:
        {% if email_notification_result.result %}
            Success
        {% else %}
            Failed
        {% endif %}<br>
        Recipients: {{ email_notification_result.recipient_list|join:", "}} </p>
    <h3 class="code-line" data-line-start=32 data-line-end=33><a id="5_TAC_Email_32"></a>5. TAC Email</h3>
    <p class="has-line-data" data-line-start="33" data-line-end="38">Result: {% if tac_email_result.result %}
            Success
        {% else %}
            Failed
        {% endif %}<br>
        To Emails: {{ tac_email_result.to_emails|join:", " }}<br>
        CC Emails: {{ tac_email_result.cc_emails|join:", " }}<br>
        Contract Numbers: {{ tac_email_result.contract_numbers|join:", " }}<br>
        CCO IDs: {{ tac_email_result.cco_ids|join:", " }}</p>

</div>
</body>
</html>